Skip to main content
GET
/
api
/
agents
/
{agent_id}
/
scheduled_batches
/
{batch_id}
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/agents/{agent_id}/scheduled_batches/{batch_id} \
  --header 'X-API-Key: <api-key>'
{
  "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created": "2023-11-07T05:31:56Z",
  "totalCount": 123,
  "completedCount": 123,
  "endedAt": "2023-11-07T05:31:56Z",
  "windowStart": "2023-11-07T05:31:56Z",
  "windowEnd": "2023-11-07T05:31:56Z",
  "throttle": "<string>",
  "webhookUrl": "<string>",
  "webhookSecret": "<string>",
  "paused": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.ultravox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

agent_id
string<uuid>
required
batch_id
string<uuid>
required

Response

200 - application/json
batchId
string<uuid>
required
read-only
created
string<date-time>
required
read-only
totalCount
integer
required
read-only

The total number of calls in this batch.

completedCount
integer
required
read-only

The number of calls in this batch that have been completed (created or error).

endedAt
string<date-time> | null
required
read-only
windowStart
string<date-time> | null

The start of the time window during which calls can be made.

windowEnd
string<date-time> | null

The end of the time window during which calls can be made.

throttle
string | null

The name or ID of a call throttle. If specified, calls in this batch will be subject to the rate limits defined by the throttle.

webhookUrl
string<uri> | null

The URL to which a request will be made (synchronously) when a call in the batch is created, excluding those with an outgoing medium. Required if any call has a non-outgoing medium and not allowed otherwise.

Maximum string length: 200
webhookSecret
string | null

The signing secret for requests made to the webhookUrl. This is used to verify that the request came from Ultravox. If unset, an appropriate secret will be chosen for you (but you'll still need to make your endpoint aware of it to verify requests).

Maximum string length: 120
paused
boolean